summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-18 03:32:40 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-18 03:32:40 (GMT)
commit0ef3e56b5e65fbaf28650b3ab6c35ae9d08dd24a (patch)
treedec031dddd5d70dbd1a708d5bd75ebcf4dac8734
parent5270456c33afb625f98d28b6f96ff6ee76238a2f (diff)
downloadlinhes_pkgbuild-0ef3e56b5e65fbaf28650b3ab6c35ae9d08dd24a.zip
linhes_pkgbuild-0ef3e56b5e65fbaf28650b3ab6c35ae9d08dd24a.tar.gz
linhes_pkgbuild-0ef3e56b5e65fbaf28650b3ab6c35ae9d08dd24a.tar.bz2
python-opengl: initial import 4 pyqt
-rw-r--r--abs/extra/python-opengl/LICENSE30
-rw-r--r--abs/extra/python-opengl/PKGBUILD31
2 files changed, 61 insertions, 0 deletions
diff --git a/abs/extra/python-opengl/LICENSE b/abs/extra/python-opengl/LICENSE
new file mode 100644
index 0000000..11d88fb
--- /dev/null
+++ b/abs/extra/python-opengl/LICENSE
@@ -0,0 +1,30 @@
+# Copyright (c) 2006-2008 Alex Holkner
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in
+# the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of pyglet nor the names of its
+# contributors may be used to endorse or promote products
+# derived from this software without specific prior written
+# permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
+# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
diff --git a/abs/extra/python-opengl/PKGBUILD b/abs/extra/python-opengl/PKGBUILD
new file mode 100644
index 0000000..d0638b1
--- /dev/null
+++ b/abs/extra/python-opengl/PKGBUILD
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD 89543 2010-09-01 17:18:01Z remy $
+# Contributor: Josh Taylor <joshtaylor.mail@gmail.com>
+# Contributor: simo <simo@archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas@archlinux.org>
+# Maintainer: Daniel J Griffiths <ghost1227@archlinux.us>
+
+pkgname=python-opengl
+pkgver=3.0.1
+pkgrel=2
+pkgdesc="The cross platform Python binding to OpenGL and related APIs"
+url="http://pyopengl.sourceforge.net"
+license=('BSD')
+arch=('any')
+depends=('python2' 'tk' 'freeglut' 'setuptools')
+provides=('pyopengl' 'python-pyopengl')
+conflicts=('pyopengl' 'python-pyopengl')
+source=(http://downloads.sourceforge.net/pyopengl/PyOpenGL-${pkgver}.tar.gz
+ 'LICENSE')
+md5sums=('221d4a6a0928fcfeef26751370ec5f52'
+ '0b53c508a63e5dbaf44cdfb0fa103b3a')
+
+build() {
+ /bin/true
+}
+
+package() {
+ cd ${srcdir}/PyOpenGL-${pkgver}
+ python2 setup.py install --root=${pkgdir} || return 1
+ install -Dm644 ${srcdir}/LICENSE \
+ ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+}